import chalk from 'chalk';

function parseEmail(parsedEmail) {
    const emailId = parsedEmail.messageId;
    const emailText = parsedEmail.html ? parsedEmail.textAsHtml : parsedEmail.text;

    if (!emailText) {
        console.log(chalk.red('No useful text to process in email:', emailId));
        return null;
    }

    return {
        email_id: emailId,
        text: emailText
    };
}

export { parseEmail };
